Infrastructure - Task #775
Story # 957 (Closed): CN Service layer should be refactored for 0.6 release

more complete tests needed for resolve method
2010-08-11 05:44 - Rob Nahf

Status: Rejected Start date:

Priority: Normal Due date:

Assignee: Robert Waltz % Done: 0%
Category: d1_cn_service Estimated time: 0.00 hour
Target version: Sprint-2011.12-Block.2

Milestone: CCI-0.5 Story Points:

Product Version: *

Description

TestingMyResolve.java needs more sophisticated tests written (along with more meaningful sample metadatafiles) to catch parsing
errors that may result from bad xslt logic.

History

#1 - 2010-10-07 00:39 - Robert Waltz
- Parent task set to #957
- Milestone set to CCI-0.6

#2 - 2010-10-07 21:46 - Robert Waltz
- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2010-10-26 21:03 - Rob Nahf

- Status changed from New to Rejected

This task became a duplicate of #994, so rejecting. Reimplementation of cn/resolve removed xslt logic, thorough tests for the new design were
completed (17 tests).
https://redmine.dataone.org/projects/d1/wiki/TestingMyResolve
https://redmine.dataone.org/issues/994
http://www.tcpdf.org

